1. Auth
Rootline API
  • Auth
    • Register customer account
      POST
    • User sign-in
      POST
    • User sign-out
      POST
    • Current session information
      GET
  • Users
    • Get current user profile
      GET
    • Update current user profile
      PATCH
  • Admin - Users
    • List and search users
      GET
    • Activate or deactivate user account
      PATCH
  • Addresses
    • List user shipping addresses
      GET
    • Create shipping address
      POST
    • Update shipping address
      PATCH
    • Delete shipping address
      DELETE
  • Health
    • Health check
      GET
  • Get application info and docs route
    GET
  • Schemas
    • AppInfoResponseDto
    • RegisterDto
    • AuthResponseDto
    • ErrorResponseDto
    • LoginDto
    • SignOutResponseDto
    • SessionResponseDto
    • UserProfileDto
    • UpdateProfileDto
    • AdminUserListResponseDto
    • AdminUpdateUserStatusDto
    • AdminUserItemDto
    • AddressResponseDto
    • CreateAddressDto
    • UpdateAddressDto
    • DeleteAddressResponseDto
  1. Auth

Current session information

GET
/auth/me
Last modified:2026-11-03 23:10:15
Retrieves the authenticated user profile and active session details.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Session retrieved successfully
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/auth/me' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "user": {
        "id": "string",
        "name": "string",
        "email": "user@example.com",
        "emailVerified": true,
        "role": "string",
        "image": "string",
        "createdAt": "string"
    },
    "session": {
        "id": "string",
        "userId": "string",
        "expiresAt": "string",
        "token": "string"
    }
}
Modified at 2026-11-03 23:10:15
Previous
User sign-out
Next
Get current user profile
Built with